@extends('layouts.app')

@section('content')

  <div class="fixed left-0 top-48 h-2/3 w-8 flex flex-col-reverse" id="timeline_container"></div>

  <svg class="fixed left-0 top-48 h-4 -mt-1 w-10 fill-jlg-white cursor-grab active:cursor-grabbing" id="cursor">
    <polygon points="32,4 32,6 40,10 40,0" />
    <rect width="32" height="2" y="4" />
  </svg>


  <table class="w-full bg-jlg-dark-blue flex justify-center">
    <thead>
      <tr class="border-jlg-white border-b h-64 top-0 w-full lg:w-2/3 fixed flex items-stretch justify-around text-left lg:text-xl uppercase bg-jlg-dark-blue">
        <th class="flex items-end justify-start"></th>
        <th class="flex items-end justify-start pb-4">Images</th>
        <th class="flex items-end justify-start pb-4">Voix Off et In</th>
        <th class="flex items-end justify-start pb-4">Bande Son</th>
        <th class="flex items-end justify-start pb-4">Écrits</th>
      </tr>
    </thead>
    <tbody class="w-full mb-48 lg:w-2/3 block bg-jlg-dark-blue">
      <?php
        $args = array(
          'post_type' => 'post',
          'posts_per_page' => -1,
          'meta_key' => 'Index',
          'meta_type' => 'NUMERIC',
          'orderby' => 'meta_value',
          'order' => 'ASC'
        );
        $query = new WP_Query($args);
        if ($query->have_posts()) :
          while ($query->have_posts()) : $query->the_post();
            if (get_post_meta(get_the_ID(), 'Minutage', true)) : ?>
              <tr class="border-jlg-white border-b font-authentic-60 w-full flex flex-row py-6 isContentPart">
                <td class="block text-sm pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Minutage', true) }}</td>
                <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Images', true) }}</td>
                <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'VoixOffIn', true) }}</td>
                <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'BandeSon', true) }}</td>
                <td class="block pl-0 pr-6">{{ get_post_meta(get_the_ID(), 'Ecrits', true) }}</td>
              </tr>
            <?php elseif (get_post_meta(get_the_ID(), 'isMainPart', true)) : ?>
              <tr class="border-jlg-white border-b font-authentic-90 uppercase w-full flex flex-row py-6 isMainPart">
                <td class="pl-0 flex">
                  <div class="w-2 h-5 bg-jlg-white mr-3"></div>
                  <div>{{ get_post_meta(get_the_ID(), 'isMainPart', true) }}</div>
                </td>
              </tr>
            <? elseif (get_post_meta(get_the_ID(), 'isSubPart', true)) : ?>
              <tr class="border-jlg-white border-b font-authentic-60 w-full flex flex-row py-6 isSubPart">
                <td class="pl-0 flex">
                  <div class="w-2 h-5 bg-jlg-white mr-3"></div>
                  <div>{{ get_post_meta(get_the_ID(), 'isSubPart', true) }}</div>
                </td>
              </tr>
            <?php endif; ?>
        
      <?php
          endwhile;
        endif;
        wp_reset_postdata();
      ?>
    </tbody>
  </table>


  @if (! have_posts())
    <x-alert type="warning">
      {!! __('Sorry, no results were found.', 'sage') !!}
    </x-alert>

    {!! get_search_form(false) !!}
  @endif


@endsection


